Subject: Re: bug#70937: 30.0.50; todo-mode item insertion bug

From: Stephen Berman <[email-masked]>
Date: Tue, 21 May 2024 11:10:30 +0200

On Tue, 14 May 2024 15:18:03 +0200 Stephen Berman <[email-masked]> wrote:

[...]
> The attached patch prevents the unintended execution of a todo-mode
> command due to mistaken or out-of-order item insertion key input.  In
> that case a message is displayed, e.g. "‘k’ is not a valid remaining
> item insertion key" (the word "remaining" is meant to indicate that the
> key is not valid at this point in the sequence), and the construction of
> the item insertion command breaks off.
[...]
> [I]f there are no objections within a few days I will install
> the attached patch to master [...]

I've seen no objections, so I installed the patch as commit 7f80070232a
and am closing this bug.

Steve Berman